Estimated time per person/activity
2012-07-13 16:44 - Terence Mill

Status: New Start date:

Priority: Normal Due date:

Assignee: % Done: 0%
Category: Time tracking Estimated time: 0.00 hour
Target version:

Resolution:

Description

For an issue there can many phases ...

e analyse

¢ gpecificate
e design

e implement
* test

e deploy

.. where many people have hands on..

¢ product manager/leader

e analyst

(web) designer

software developers/engineers
database developers/engineers
tester

administrators

All of them need to push their part for the milestone to get ready this issue.

So all of them need to estimate their part, which is mostly the same the activity they log time to.

At the moment there is only one estimation field for all of them, but the estimation shall be trackable on activity level or even on
person level.

To make this possible adding estimations shall be kept the same way as logging time later on - in a list/or table style.

This table needs at least thre fields:
¢ estimated time
e estimated by person (logged in user)
e activity the time is needed for, which can be the same activity list used for logging time on later. (can be perfect comparable
then)

So as result we need a 1:many realtionship for estimation like we do for time logging.

Breaking down issues to sub issues doesn't resolve the problem so far that we still don't have the possibility to track the estimation
on main task level categorized by activity for all its subtask.

Also we can't analyse how many hours developer x will be blocked (bases on his estimation) for activity developing on a version in a
porject

Related issues:
Related to Redmine - Feature #13105: Break Estimated Time into Activities New

History

#1 - 2012-07-13 17:20 - Jean-Philippe Lang
- Subject changed from many estimations per issue with "estimation for activity” and "estimated by person" attributes - drill down estimation by activity,
person, project and version to Estimated time per person/activity

#2 - 2012-10-19 15:26 - Roger Miiller
+1

#3 - 2012-10-19 23:10 - Adriano Ceccarelli

+1
#4 - 2013-03-21 06:06 - Anton Nepomnyaschih
+1.

The same situation. We need to split estimates by some activities and spent time by the same activities. We need to see, if an activity took more time
than it was estimated.

But, Terence, | think, there is walkaround right now. You can use corresponding subtasks for each activity and set estimation for each one.
For example, you has feature F1. And 3 people need to work on it: analyst, developer, tester. So, you can create 3 subtasks with different trackers:
Analytics, Development, Testing. Their subject must be the same as for the parent feature. Then you can set corresponding estimation for each. And

track corresponding time in them. To analyse the spent time, you can filter tasks by corresponding tracker-activity in issues list. And compare their
estimations and spent time fields in the issues list.
